### Method

# GLib Queue clear_full

since: 2.60

#### Declaration [src]

    void
    g_queue_clear_full (
      GQueue* queue,
      GDestroyNotify free_func
    )

#### Description [src]

Convenience method, which frees all the memory used by a `GQueue`, and calls the provided `free_func` on each item in the `GQueue`.

Available since: 2.60

#### Parameters

`free_func`

  Type: `GDestroyNotify`

  The function to be called to free memory allocated.

  The argument can be `NULL`.